Subject: bug#41177: closed (Re: [PATCH 0/2] OpenJDK: Fix NullPointerException when accessing fonts)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 12 Feb 2021 10:53:02 +0000

Your bug report

#41177: Fontconfig issues in Java applications that use fonts

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
41177: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=41177
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH 0/2] OpenJDK: Fix NullPointerException when accessing fonts
From: Leo Prikler <[email-masked]>
To: Björn Höfling <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Fri, 12 Feb 2021 11:52:50 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Björn

Am Freitag, den 12.02.2021, 00:14 +0100 schrieb Björn Höfling:
> These two patches fix a NullPointerException in the OpenJDK packages.
> 
> The patches apply only to OpenJDK9 and OpenJDK11, but with
> inheritence
> all OpenJDKx with x\in[9..14] are covered.
> 
> Here is the bug report:
> 
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=41177
> 
> In order to test it you can use the following Main.java:
> 
> ~~~~~~
> import java.awt.*;
> 
> public class Main {
> 
>     public static void main(String[] args)
>     {
>         String fonts[] =
>             GraphicsEnvironment.getLocalGraphicsEnvironment().getAvai
> lableFontFamilyNames();
> 
>         for ( int i = 0; i < fonts.length; i++ )
> 	    {
> 		System.out.println(fonts[i]);
> 	    }
>     }
> }
> 
> ~~~~~~~~
> Compile: javac Main.java
> Run: java -cp . Main
> 
> It should print a list of the available fonts.
Indeed, that it does.  At least for 9 and 11, which I've invoked
directly from their store paths.

I've pushed your patches with small changes to the commit messages and
followed up with an indentation fix.

Regards,
Leo

Subject: Fontconfig issues in Java applications that use fonts
From: Jonathan Frederickson <[email-masked]>
To: bug-guix <[email-masked]>
Date: Sun, 10 May 2020 11:55:37 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

I realized I forgot to submit a bug report for this after I posted on 
help-guix a while back, and looks like it's still an issue, so... I get 
a null pointer exception when attempting to run any Java application 
that uses fonts. I've attached an example of the error output I get, 
and you can find more info in this thread:

https://lists.gnu.org/archive/html/help-guix/2019-11/msg00122.html